import { AppRootProps as BaseAppRootProps, AppPluginMeta, PluginConfigPageProps } from '@grafana/data';

export type DataExporterPluginMetaJSONData = {
  dataExporterApiUrl: string | null;
};

export type DataExporterPluginMetaSecureJSONData = {
  apiToken: string | null;
};

export type AppRootProps = BaseAppRootProps<DataExporterPluginMetaJSONData>;

// NOTE: it is possible that plugin.meta.jsonData is null (ex. on first-ever setup)
// the typing on AppPluginMeta does not seem correct atm..
export type DataExporterAppPluginMeta = AppPluginMeta<DataExporterPluginMetaJSONData>;
export type DataExporterPluginConfigPageProps = PluginConfigPageProps<DataExporterAppPluginMeta>;
